Module java.activation
Package javax.activation

## Interface CommandObject

    public interface CommandObject

JavaBeans components that are Activation Framework aware implement this interface to find out which command verb they're being asked to perform, and to obtain the DataHandler representing the data they should operate on. JavaBeans that don't implement this interface may be used as well. Such commands may obtain the data using the Externalizable interface, or using an application-specific method.

Since:
  1.6

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setCommandContext(String verb, DataHandler dh)` Initialize the Command with the verb it is requested to handle and the DataHandler that describes the data it will operate on.

### Method Detail

#### setCommandContext

    void setCommandContext(String verb,
                           DataHandler dh)
                    throws IOException

Initialize the Command with the verb it is requested to handle and the DataHandler that describes the data it will operate on. NOTE: it is acceptable for the caller to pass null as the value for `DataHandler`.

Parameters:
  `verb` - The Command Verb this object refers to.
  `dh` - The DataHandler.
Throws:
  `IOException`